org.sqlite.jdbc3

## Class JDBC3DatabaseMetaData

- java.lang.Object
- - org.sqlite.core.CoreDatabaseMetaData
  - - org.sqlite.jdbc3.JDBC3DatabaseMetaData

Direct Known Subclasses:
  JDBC4DatabaseMetaData

    public abstract class JDBC3DatabaseMetaData
    extends CoreDatabaseMetaData

### Field Summary

Fields
`protected static Pattern` `FK_NAMED_PATTERN` Pattern used to extract a named primary key.
`protected static Pattern` `PK_NAMED_PATTERN` Pattern used to extract a named primary key.
`protected static Pattern` `PK_UNNAMED_PATTERN` Pattern used to extract column order for an unnamed primary key.
`protected static Pattern` `TYPE_FLOAT`
`protected static Pattern` `TYPE_INTEGER`
`protected static Pattern` `TYPE_VARCHAR`

### Fields inherited from class org.sqlite.core.CoreDatabaseMetaData

`conn, getAttributes, getBestRowIdentifier, getCatalogs, getColumnPrivileges, getColumnsTblName, getGeneratedKeys, getIndexInfo, getProcedureColumns, getProcedures, getSchemas, getSuperTables, getSuperTypes, getTablePrivileges, getTables, getTableTypes, getTypeInfo, getUDTs, getVersionColumns, refCount`

### Constructor Summary

Constructors
`protected` `JDBC3DatabaseMetaData(SQLiteConnection conn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `allProceduresAreCallable()`
`boolean` `allTablesAreSelectable()`
`Struct` `createStruct(String t, Object[] attr)` Not implemented yet.
`boolean` `dataDefinitionCausesTransactionCommit()`
`boolean` `dataDefinitionIgnoredInTransactions()`
`boolean` `deletesAreDetected(int type)`
`boolean` `doesMaxRowSizeIncludeBlobs()`
`protected void` `finalize()`
`ResultSet` `getAttributes(String c, String s, String t, String a)`
`ResultSet` `getBestRowIdentifier(String c, String s, String t, int scope, boolean n)`
`ResultSet` `getCatalogs()`
`String` `getCatalogSeparator()`
`String` `getCatalogTerm()`
`ResultSet` `getColumnPrivileges(String c, String s, String t, String colPat)`
`ResultSet` `getColumns(String c, String s, String tblNamePattern, String colNamePattern)`
`Connection` `getConnection()`
`ResultSet` `getCrossReference(String pc, String ps, String pt, String fc, String fs, String ft)`
`int` `getDatabaseMajorVersion()`
`int` `getDatabaseMinorVersion()`
`String` `getDatabaseProductName()`
`String` `getDatabaseProductVersion()`
`int` `getDefaultTransactionIsolation()`
`int` `getDriverMajorVersion()`
`int` `getDriverMinorVersion()`
`String` `getDriverName()`
`String` `getDriverVersion()`
`ResultSet` `getExportedKeys(String catalog, String schema, String table)`
`String` `getExtraNameCharacters()`
`ResultSet` `getFunctionColumns(String a, String b, String c, String d)` Not implemented yet.
`ResultSet` `getGeneratedKeys()`
`String` `getIdentifierQuoteString()`
`ResultSet` `getImportedKeys(String catalog, String schema, String table)`
`ResultSet` `getIndexInfo(String c, String s, String table, boolean u, boolean approximate)`
`int` `getJDBCMajorVersion()`
`int` `getJDBCMinorVersion()`
`int` `getMaxBinaryLiteralLength()`
`int` `getMaxCatalogNameLength()`
`int` `getMaxCharLiteralLength()`
`int` `getMaxColumnNameLength()`
`int` `getMaxColumnsInGroupBy()`
`int` `getMaxColumnsInIndex()`
`int` `getMaxColumnsInOrderBy()`
`int` `getMaxColumnsInSelect()`
`int` `getMaxColumnsInTable()`
`int` `getMaxConnections()`
`int` `getMaxCursorNameLength()`
`int` `getMaxIndexLength()`
`int` `getMaxProcedureNameLength()`
`int` `getMaxRowSize()`
`int` `getMaxSchemaNameLength()`
`int` `getMaxStatementLength()`
`int` `getMaxStatements()`
`int` `getMaxTableNameLength()`
`int` `getMaxTablesInSelect()`
`int` `getMaxUserNameLength()`
`String` `getNumericFunctions()`
`ResultSet` `getPrimaryKeys(String c, String s, String table)`
`ResultSet` `getProcedureColumns(String c, String s, String p, String colPat)`
`ResultSet` `getProcedures(String c, String s, String p)`
`String` `getProcedureTerm()`
`int` `getResultSetHoldability()`
`ResultSet` `getSchemas()`
`String` `getSchemaTerm()`
`String` `getSearchStringEscape()`
`String` `getSQLKeywords()`
`int` `getSQLStateType()`
`String` `getStringFunctions()`
`ResultSet` `getSuperTables(String c, String s, String t)`
`ResultSet` `getSuperTypes(String c, String s, String t)`
`String` `getSystemFunctions()`
`ResultSet` `getTablePrivileges(String c, String s, String t)`
`ResultSet` `getTables(String c, String s, String tblNamePattern, String[] types)`
`ResultSet` `getTableTypes()`
`String` `getTimeDateFunctions()`
`ResultSet` `getTypeInfo()`
`ResultSet` `getUDTs(String c, String s, String t, int[] types)`
`String` `getURL()`
`String` `getUserName()`
`ResultSet` `getVersionColumns(String c, String s, String t)`
`boolean` `insertsAreDetected(int type)`
`boolean` `isCatalogAtStart()`
`boolean` `isReadOnly()`
`boolean` `locatorsUpdateCopy()`
`boolean` `nullPlusNonNullIsNull()`
`boolean` `nullsAreSortedAtEnd()`
`boolean` `nullsAreSortedAtStart()`
`boolean` `nullsAreSortedHigh()`
`boolean` `nullsAreSortedLow()`
`boolean` `othersDeletesAreVisible(int type)`
`boolean` `othersInsertsAreVisible(int type)`
`boolean` `othersUpdatesAreVisible(int type)`
`boolean` `ownDeletesAreVisible(int type)`
`boolean` `ownInsertsAreVisible(int type)`
`boolean` `ownUpdatesAreVisible(int type)`
`boolean` `storesLowerCaseIdentifiers()`
`boolean` `storesLowerCaseQuotedIdentifiers()`
`boolean` `storesMixedCaseIdentifiers()`
`boolean` `storesMixedCaseQuotedIdentifiers()`
`boolean` `storesUpperCaseIdentifiers()`
`boolean` `storesUpperCaseQuotedIdentifiers()`
`boolean` `supportsAlterTableWithAddColumn()`
`boolean` `supportsAlterTableWithDropColumn()`
`boolean` `supportsANSI92EntryLevelSQL()`
`boolean` `supportsANSI92FullSQL()`
`boolean` `supportsANSI92IntermediateSQL()`
`boolean` `supportsBatchUpdates()`
`boolean` `supportsCatalogsInDataManipulation()`
`boolean` `supportsCatalogsInIndexDefinitions()`
`boolean` `supportsCatalogsInPrivilegeDefinitions()`
`boolean` `supportsCatalogsInProcedureCalls()`
`boolean` `supportsCatalogsInTableDefinitions()`
`boolean` `supportsColumnAliasing()`
`boolean` `supportsConvert()`
`boolean` `supportsConvert(int fromType, int toType)`
`boolean` `supportsCoreSQLGrammar()`
`boolean` `supportsCorrelatedSubqueries()`
`boolean` `supportsDataDefinitionAndDataManipulationTransactions()`
`boolean` `supportsDataManipulationTransactionsOnly()`
`boolean` `supportsDifferentTableCorrelationNames()`
`boolean` `supportsExpressionsInOrderBy()`
`boolean` `supportsExtendedSQLGrammar()`
`boolean` `supportsFullOuterJoins()`
`boolean` `supportsGetGeneratedKeys()`
`boolean` `supportsGroupBy()`
`boolean` `supportsGroupByBeyondSelect()`
`boolean` `supportsGroupByUnrelated()`
`boolean` `supportsIntegrityEnhancementFacility()`
`boolean` `supportsLikeEscapeClause()`
`boolean` `supportsLimitedOuterJoins()`
`boolean` `supportsMinimumSQLGrammar()`
`boolean` `supportsMixedCaseIdentifiers()`
`boolean` `supportsMixedCaseQuotedIdentifiers()`
`boolean` `supportsMultipleOpenResults()`
`boolean` `supportsMultipleResultSets()`
`boolean` `supportsMultipleTransactions()`
`boolean` `supportsNamedParameters()`
`boolean` `supportsNonNullableColumns()`
`boolean` `supportsOpenCursorsAcrossCommit()`
`boolean` `supportsOpenCursorsAcrossRollback()`
`boolean` `supportsOpenStatementsAcrossCommit()`
`boolean` `supportsOpenStatementsAcrossRollback()`
`boolean` `supportsOrderByUnrelated()`
`boolean` `supportsOuterJoins()`
`boolean` `supportsPositionedDelete()`
`boolean` `supportsPositionedUpdate()`
`boolean` `supportsResultSetConcurrency(int t, int c)`
`boolean` `supportsResultSetHoldability(int h)`
`boolean` `supportsResultSetType(int t)`
`boolean` `supportsSavepoints()`
`boolean` `supportsSchemasInDataManipulation()`
`boolean` `supportsSchemasInIndexDefinitions()`
`boolean` `supportsSchemasInPrivilegeDefinitions()`
`boolean` `supportsSchemasInProcedureCalls()`
`boolean` `supportsSchemasInTableDefinitions()`
`boolean` `supportsSelectForUpdate()`
`boolean` `supportsStatementPooling()`
`boolean` `supportsStoredProcedures()`
`boolean` `supportsSubqueriesInComparisons()`
`boolean` `supportsSubqueriesInExists()`
`boolean` `supportsSubqueriesInIns()`
`boolean` `supportsSubqueriesInQuantifieds()`
`boolean` `supportsTableCorrelationNames()`
`boolean` `supportsTransactionIsolationLevel(int level)`
`boolean` `supportsTransactions()`
`boolean` `supportsUnion()`
`boolean` `supportsUnionAll()`
`boolean` `updatesAreDetected(int type)`
`boolean` `usesLocalFilePerTable()`
`boolean` `usesLocalFiles()`

### Methods inherited from class org.sqlite.core.CoreDatabaseMetaData

`checkOpen, close, escape, quote`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_INTEGER

    protected static final Pattern TYPE_INTEGER

#### TYPE_VARCHAR

    protected static final Pattern TYPE_VARCHAR

#### TYPE_FLOAT

    protected static final Pattern TYPE_FLOAT

#### FK_NAMED_PATTERN

    protected static final Pattern FK_NAMED_PATTERN

Pattern used to extract a named primary key.

#### PK_UNNAMED_PATTERN

    protected static final Pattern PK_UNNAMED_PATTERN

Pattern used to extract column order for an unnamed primary key.

#### PK_NAMED_PATTERN

    protected static final Pattern PK_NAMED_PATTERN

Pattern used to extract a named primary key.

### Constructor Detail

#### JDBC3DatabaseMetaData

    protected JDBC3DatabaseMetaData(SQLiteConnection conn)

### Method Detail

#### getConnection

    public Connection getConnection()

See Also:
  `DatabaseMetaData.getConnection()`

#### getDatabaseMajorVersion

    public int getDatabaseMajorVersion()
                                throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getDatabaseMajorVersion()`

#### getDatabaseMinorVersion

    public int getDatabaseMinorVersion()
                                throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getDatabaseMinorVersion()`

#### getDriverMajorVersion

    public int getDriverMajorVersion()

See Also:
  `DatabaseMetaData.getDriverMajorVersion()`

#### getDriverMinorVersion

    public int getDriverMinorVersion()

See Also:
  `DatabaseMetaData.getDriverMinorVersion()`

#### getJDBCMajorVersion

    public int getJDBCMajorVersion()

See Also:
  `DatabaseMetaData.getJDBCMajorVersion()`

#### getJDBCMinorVersion

    public int getJDBCMinorVersion()

See Also:
  `DatabaseMetaData.getJDBCMinorVersion()`

#### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()

See Also:
  `DatabaseMetaData.getDefaultTransactionIsolation()`

#### getMaxBinaryLiteralLength

    public int getMaxBinaryLiteralLength()

See Also:
  `DatabaseMetaData.getMaxBinaryLiteralLength()`

#### getMaxCatalogNameLength

    public int getMaxCatalogNameLength()

See Also:
  `DatabaseMetaData.getMaxCatalogNameLength()`

#### getMaxCharLiteralLength

    public int getMaxCharLiteralLength()

See Also:
  `DatabaseMetaData.getMaxCharLiteralLength()`

#### getMaxColumnNameLength

    public int getMaxColumnNameLength()

See Also:
  `DatabaseMetaData.getMaxColumnNameLength()`

#### getMaxColumnsInGroupBy

    public int getMaxColumnsInGroupBy()

See Also:
  `DatabaseMetaData.getMaxColumnsInGroupBy()`

#### getMaxColumnsInIndex

    public int getMaxColumnsInIndex()

See Also:
  `DatabaseMetaData.getMaxColumnsInIndex()`

#### getMaxColumnsInOrderBy

    public int getMaxColumnsInOrderBy()

See Also:
  `DatabaseMetaData.getMaxColumnsInOrderBy()`

#### getMaxColumnsInSelect

    public int getMaxColumnsInSelect()

See Also:
  `DatabaseMetaData.getMaxColumnsInSelect()`

#### getMaxColumnsInTable

    public int getMaxColumnsInTable()

See Also:
  `DatabaseMetaData.getMaxColumnsInTable()`

#### getMaxConnections

    public int getMaxConnections()

See Also:
  `DatabaseMetaData.getMaxConnections()`

#### getMaxCursorNameLength

    public int getMaxCursorNameLength()

See Also:
  `DatabaseMetaData.getMaxCursorNameLength()`

#### getMaxIndexLength

    public int getMaxIndexLength()

See Also:
  `DatabaseMetaData.getMaxIndexLength()`

#### getMaxProcedureNameLength

    public int getMaxProcedureNameLength()

See Also:
  `DatabaseMetaData.getMaxProcedureNameLength()`

#### getMaxRowSize

    public int getMaxRowSize()

See Also:
  `DatabaseMetaData.getMaxRowSize()`

#### getMaxSchemaNameLength

    public int getMaxSchemaNameLength()

See Also:
  `DatabaseMetaData.getMaxSchemaNameLength()`

#### getMaxStatementLength

    public int getMaxStatementLength()

See Also:
  `DatabaseMetaData.getMaxStatementLength()`

#### getMaxStatements

    public int getMaxStatements()

See Also:
  `DatabaseMetaData.getMaxStatements()`

#### getMaxTableNameLength

    public int getMaxTableNameLength()

See Also:
  `DatabaseMetaData.getMaxTableNameLength()`

#### getMaxTablesInSelect

    public int getMaxTablesInSelect()

See Also:
  `DatabaseMetaData.getMaxTablesInSelect()`

#### getMaxUserNameLength

    public int getMaxUserNameLength()

See Also:
  `DatabaseMetaData.getMaxUserNameLength()`

#### getResultSetHoldability

    public int getResultSetHoldability()

See Also:
  `DatabaseMetaData.getResultSetHoldability()`

#### getSQLStateType

    public int getSQLStateType()

See Also:
  `DatabaseMetaData.getSQLStateType()`

#### getDatabaseProductName

    public String getDatabaseProductName()

See Also:
  `DatabaseMetaData.getDatabaseProductName()`

#### getDatabaseProductVersion

    public String getDatabaseProductVersion()
                                     throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getDatabaseProductVersion()`

#### getDriverName

    public String getDriverName()

See Also:
  `DatabaseMetaData.getDriverName()`

#### getDriverVersion

    public String getDriverVersion()

See Also:
  `DatabaseMetaData.getDriverVersion()`

#### getExtraNameCharacters

    public String getExtraNameCharacters()

See Also:
  `DatabaseMetaData.getExtraNameCharacters()`

#### getCatalogSeparator

    public String getCatalogSeparator()

See Also:
  `DatabaseMetaData.getCatalogSeparator()`

#### getCatalogTerm

    public String getCatalogTerm()

See Also:
  `DatabaseMetaData.getCatalogTerm()`

#### getSchemaTerm

    public String getSchemaTerm()

See Also:
  `DatabaseMetaData.getSchemaTerm()`

#### getProcedureTerm

    public String getProcedureTerm()

See Also:
  `DatabaseMetaData.getProcedureTerm()`

#### getSearchStringEscape

    public String getSearchStringEscape()

See Also:
  `DatabaseMetaData.getSearchStringEscape()`

#### getIdentifierQuoteString

    public String getIdentifierQuoteString()

See Also:
  `DatabaseMetaData.getIdentifierQuoteString()`

#### getSQLKeywords

    public String getSQLKeywords()

See Also:
  `DatabaseMetaData.getSQLKeywords()`

#### getNumericFunctions

    public String getNumericFunctions()

See Also:
  `DatabaseMetaData.getNumericFunctions()`

#### getStringFunctions

    public String getStringFunctions()

See Also:
  `DatabaseMetaData.getStringFunctions()`

#### getSystemFunctions

    public String getSystemFunctions()

See Also:
  `DatabaseMetaData.getSystemFunctions()`

#### getTimeDateFunctions

    public String getTimeDateFunctions()

See Also:
  `DatabaseMetaData.getTimeDateFunctions()`

#### getURL

    public String getURL()

See Also:
  `DatabaseMetaData.getURL()`

#### getUserName

    public String getUserName()

See Also:
  `DatabaseMetaData.getUserName()`

#### allProceduresAreCallable

    public boolean allProceduresAreCallable()

See Also:
  `DatabaseMetaData.allProceduresAreCallable()`

#### allTablesAreSelectable

    public boolean allTablesAreSelectable()

See Also:
  `DatabaseMetaData.allTablesAreSelectable()`

#### dataDefinitionCausesTransactionCommit

    public boolean dataDefinitionCausesTransactionCommit()

See Also:
  `DatabaseMetaData.dataDefinitionCausesTransactionCommit()`

#### dataDefinitionIgnoredInTransactions

    public boolean dataDefinitionIgnoredInTransactions()

See Also:
  `DatabaseMetaData.dataDefinitionIgnoredInTransactions()`

#### doesMaxRowSizeIncludeBlobs

    public boolean doesMaxRowSizeIncludeBlobs()

See Also:
  `DatabaseMetaData.doesMaxRowSizeIncludeBlobs()`

#### deletesAreDetected

    public boolean deletesAreDetected(int type)

See Also:
  `DatabaseMetaData.deletesAreDetected(int)`

#### insertsAreDetected

    public boolean insertsAreDetected(int type)

See Also:
  `DatabaseMetaData.insertsAreDetected(int)`

#### isCatalogAtStart

    public boolean isCatalogAtStart()

See Also:
  `DatabaseMetaData.isCatalogAtStart()`

#### locatorsUpdateCopy

    public boolean locatorsUpdateCopy()

See Also:
  `DatabaseMetaData.locatorsUpdateCopy()`

#### nullPlusNonNullIsNull

    public boolean nullPlusNonNullIsNull()

See Also:
  `DatabaseMetaData.nullPlusNonNullIsNull()`

#### nullsAreSortedAtEnd

    public boolean nullsAreSortedAtEnd()

See Also:
  `DatabaseMetaData.nullsAreSortedAtEnd()`

#### nullsAreSortedAtStart

    public boolean nullsAreSortedAtStart()

See Also:
  `DatabaseMetaData.nullsAreSortedAtStart()`

#### nullsAreSortedHigh

    public boolean nullsAreSortedHigh()

See Also:
  `DatabaseMetaData.nullsAreSortedHigh()`

#### nullsAreSortedLow

    public boolean nullsAreSortedLow()

See Also:
  `DatabaseMetaData.nullsAreSortedLow()`

#### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int type)

See Also:
  `DatabaseMetaData.othersDeletesAreVisible(int)`

#### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)

See Also:
  `DatabaseMetaData.othersInsertsAreVisible(int)`

#### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)

See Also:
  `DatabaseMetaData.othersUpdatesAreVisible(int)`

#### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)

See Also:
  `DatabaseMetaData.ownDeletesAreVisible(int)`

#### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)

See Also:
  `DatabaseMetaData.ownInsertsAreVisible(int)`

#### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)

See Also:
  `DatabaseMetaData.ownUpdatesAreVisible(int)`

#### storesLowerCaseIdentifiers

    public boolean storesLowerCaseIdentifiers()

See Also:
  `DatabaseMetaData.storesLowerCaseIdentifiers()`

#### storesLowerCaseQuotedIdentifiers

    public boolean storesLowerCaseQuotedIdentifiers()

See Also:
  `DatabaseMetaData.storesLowerCaseQuotedIdentifiers()`

#### storesMixedCaseIdentifiers

    public boolean storesMixedCaseIdentifiers()

See Also:
  `DatabaseMetaData.storesMixedCaseIdentifiers()`

#### storesMixedCaseQuotedIdentifiers

    public boolean storesMixedCaseQuotedIdentifiers()

See Also:
  `DatabaseMetaData.storesMixedCaseQuotedIdentifiers()`

#### storesUpperCaseIdentifiers

    public boolean storesUpperCaseIdentifiers()

See Also:
  `DatabaseMetaData.storesUpperCaseIdentifiers()`

#### storesUpperCaseQuotedIdentifiers

    public boolean storesUpperCaseQuotedIdentifiers()

See Also:
  `DatabaseMetaData.storesUpperCaseQuotedIdentifiers()`

#### supportsAlterTableWithAddColumn

    public boolean supportsAlterTableWithAddColumn()

See Also:
  `DatabaseMetaData.supportsAlterTableWithAddColumn()`

#### supportsAlterTableWithDropColumn

    public boolean supportsAlterTableWithDropColumn()

See Also:
  `DatabaseMetaData.supportsAlterTableWithDropColumn()`

#### supportsANSI92EntryLevelSQL

    public boolean supportsANSI92EntryLevelSQL()

See Also:
  `DatabaseMetaData.supportsANSI92EntryLevelSQL()`

#### supportsANSI92FullSQL

    public boolean supportsANSI92FullSQL()

See Also:
  `DatabaseMetaData.supportsANSI92FullSQL()`

#### supportsANSI92IntermediateSQL

    public boolean supportsANSI92IntermediateSQL()

See Also:
  `DatabaseMetaData.supportsANSI92IntermediateSQL()`

#### supportsBatchUpdates

    public boolean supportsBatchUpdates()

See Also:
  `DatabaseMetaData.supportsBatchUpdates()`

#### supportsCatalogsInDataManipulation

    public boolean supportsCatalogsInDataManipulation()

See Also:
  `DatabaseMetaData.supportsCatalogsInDataManipulation()`

#### supportsCatalogsInIndexDefinitions

    public boolean supportsCatalogsInIndexDefinitions()

See Also:
  `DatabaseMetaData.supportsCatalogsInIndexDefinitions()`

#### supportsCatalogsInPrivilegeDefinitions

    public boolean supportsCatalogsInPrivilegeDefinitions()

See Also:
  `DatabaseMetaData.supportsCatalogsInPrivilegeDefinitions()`

#### supportsCatalogsInProcedureCalls

    public boolean supportsCatalogsInProcedureCalls()

See Also:
  `DatabaseMetaData.supportsCatalogsInProcedureCalls()`

#### supportsCatalogsInTableDefinitions

    public boolean supportsCatalogsInTableDefinitions()

See Also:
  `DatabaseMetaData.supportsCatalogsInTableDefinitions()`

#### supportsColumnAliasing

    public boolean supportsColumnAliasing()

See Also:
  `DatabaseMetaData.supportsColumnAliasing()`

#### supportsConvert

    public boolean supportsConvert()

See Also:
  `DatabaseMetaData.supportsConvert()`

#### supportsConvert

    public boolean supportsConvert(int fromType,
                                   int toType)

See Also:
  `DatabaseMetaData.supportsConvert(int, int)`

#### supportsCorrelatedSubqueries

    public boolean supportsCorrelatedSubqueries()

See Also:
  `DatabaseMetaData.supportsCorrelatedSubqueries()`

#### supportsDataDefinitionAndDataManipulationTransactions

    public boolean supportsDataDefinitionAndDataManipulationTransactions()

See Also:
  `DatabaseMetaData.supportsDataDefinitionAndDataManipulationTransactions()`

#### supportsDataManipulationTransactionsOnly

    public boolean supportsDataManipulationTransactionsOnly()

See Also:
  `DatabaseMetaData.supportsDataManipulationTransactionsOnly()`

#### supportsDifferentTableCorrelationNames

    public boolean supportsDifferentTableCorrelationNames()

See Also:
  `DatabaseMetaData.supportsDifferentTableCorrelationNames()`

#### supportsExpressionsInOrderBy

    public boolean supportsExpressionsInOrderBy()

See Also:
  `DatabaseMetaData.supportsExpressionsInOrderBy()`

#### supportsMinimumSQLGrammar

    public boolean supportsMinimumSQLGrammar()

See Also:
  `DatabaseMetaData.supportsMinimumSQLGrammar()`

#### supportsCoreSQLGrammar

    public boolean supportsCoreSQLGrammar()

See Also:
  `DatabaseMetaData.supportsCoreSQLGrammar()`

#### supportsExtendedSQLGrammar

    public boolean supportsExtendedSQLGrammar()

See Also:
  `DatabaseMetaData.supportsExtendedSQLGrammar()`

#### supportsLimitedOuterJoins

    public boolean supportsLimitedOuterJoins()

See Also:
  `DatabaseMetaData.supportsLimitedOuterJoins()`

#### supportsFullOuterJoins

    public boolean supportsFullOuterJoins()

See Also:
  `DatabaseMetaData.supportsFullOuterJoins()`

#### supportsGetGeneratedKeys

    public boolean supportsGetGeneratedKeys()

See Also:
  `DatabaseMetaData.supportsGetGeneratedKeys()`

#### supportsGroupBy

    public boolean supportsGroupBy()

See Also:
  `DatabaseMetaData.supportsGroupBy()`

#### supportsGroupByBeyondSelect

    public boolean supportsGroupByBeyondSelect()

See Also:
  `DatabaseMetaData.supportsGroupByBeyondSelect()`

#### supportsGroupByUnrelated

    public boolean supportsGroupByUnrelated()

See Also:
  `DatabaseMetaData.supportsGroupByUnrelated()`

#### supportsIntegrityEnhancementFacility

    public boolean supportsIntegrityEnhancementFacility()

See Also:
  `DatabaseMetaData.supportsIntegrityEnhancementFacility()`

#### supportsLikeEscapeClause

    public boolean supportsLikeEscapeClause()

See Also:
  `DatabaseMetaData.supportsLikeEscapeClause()`

#### supportsMixedCaseIdentifiers

    public boolean supportsMixedCaseIdentifiers()

See Also:
  `DatabaseMetaData.supportsMixedCaseIdentifiers()`

#### supportsMixedCaseQuotedIdentifiers

    public boolean supportsMixedCaseQuotedIdentifiers()

See Also:
  `DatabaseMetaData.supportsMixedCaseQuotedIdentifiers()`

#### supportsMultipleOpenResults

    public boolean supportsMultipleOpenResults()

See Also:
  `DatabaseMetaData.supportsMultipleOpenResults()`

#### supportsMultipleResultSets

    public boolean supportsMultipleResultSets()

See Also:
  `DatabaseMetaData.supportsMultipleResultSets()`

#### supportsMultipleTransactions

    public boolean supportsMultipleTransactions()

See Also:
  `DatabaseMetaData.supportsMultipleTransactions()`

#### supportsNamedParameters

    public boolean supportsNamedParameters()

See Also:
  `DatabaseMetaData.supportsNamedParameters()`

#### supportsNonNullableColumns

    public boolean supportsNonNullableColumns()

See Also:
  `DatabaseMetaData.supportsNonNullableColumns()`

#### supportsOpenCursorsAcrossCommit

    public boolean supportsOpenCursorsAcrossCommit()

See Also:
  `DatabaseMetaData.supportsOpenCursorsAcrossCommit()`

#### supportsOpenCursorsAcrossRollback

    public boolean supportsOpenCursorsAcrossRollback()

See Also:
  `DatabaseMetaData.supportsOpenCursorsAcrossRollback()`

#### supportsOpenStatementsAcrossCommit

    public boolean supportsOpenStatementsAcrossCommit()

See Also:
  `DatabaseMetaData.supportsOpenStatementsAcrossCommit()`

#### supportsOpenStatementsAcrossRollback

    public boolean supportsOpenStatementsAcrossRollback()

See Also:
  `DatabaseMetaData.supportsOpenStatementsAcrossRollback()`

#### supportsOrderByUnrelated

    public boolean supportsOrderByUnrelated()

See Also:
  `DatabaseMetaData.supportsOrderByUnrelated()`

#### supportsOuterJoins

    public boolean supportsOuterJoins()

See Also:
  `DatabaseMetaData.supportsOuterJoins()`

#### supportsPositionedDelete

    public boolean supportsPositionedDelete()

See Also:
  `DatabaseMetaData.supportsPositionedDelete()`

#### supportsPositionedUpdate

    public boolean supportsPositionedUpdate()

See Also:
  `DatabaseMetaData.supportsPositionedUpdate()`

#### supportsResultSetConcurrency

    public boolean supportsResultSetConcurrency(int t,
                                                int c)

See Also:
  `DatabaseMetaData.supportsResultSetConcurrency(int, int)`

#### supportsResultSetHoldability

    public boolean supportsResultSetHoldability(int h)

See Also:
  `DatabaseMetaData.supportsResultSetHoldability(int)`

#### supportsResultSetType

    public boolean supportsResultSetType(int t)

See Also:
  `DatabaseMetaData.supportsResultSetType(int)`

#### supportsSavepoints

    public boolean supportsSavepoints()

See Also:
  `DatabaseMetaData.supportsSavepoints()`

#### supportsSchemasInDataManipulation

    public boolean supportsSchemasInDataManipulation()

See Also:
  `DatabaseMetaData.supportsSchemasInDataManipulation()`

#### supportsSchemasInIndexDefinitions

    public boolean supportsSchemasInIndexDefinitions()

See Also:
  `DatabaseMetaData.supportsSchemasInIndexDefinitions()`

#### supportsSchemasInPrivilegeDefinitions

    public boolean supportsSchemasInPrivilegeDefinitions()

See Also:
  `DatabaseMetaData.supportsSchemasInPrivilegeDefinitions()`

#### supportsSchemasInProcedureCalls

    public boolean supportsSchemasInProcedureCalls()

See Also:
  `DatabaseMetaData.supportsSchemasInProcedureCalls()`

#### supportsSchemasInTableDefinitions

    public boolean supportsSchemasInTableDefinitions()

See Also:
  `DatabaseMetaData.supportsSchemasInTableDefinitions()`

#### supportsSelectForUpdate

    public boolean supportsSelectForUpdate()

See Also:
  `DatabaseMetaData.supportsSelectForUpdate()`

#### supportsStatementPooling

    public boolean supportsStatementPooling()

See Also:
  `DatabaseMetaData.supportsStatementPooling()`

#### supportsStoredProcedures

    public boolean supportsStoredProcedures()

See Also:
  `DatabaseMetaData.supportsStoredProcedures()`

#### supportsSubqueriesInComparisons

    public boolean supportsSubqueriesInComparisons()

See Also:
  `DatabaseMetaData.supportsSubqueriesInComparisons()`

#### supportsSubqueriesInExists

    public boolean supportsSubqueriesInExists()

See Also:
  `DatabaseMetaData.supportsSubqueriesInExists()`

#### supportsSubqueriesInIns

    public boolean supportsSubqueriesInIns()

See Also:
  `DatabaseMetaData.supportsSubqueriesInIns()`

#### supportsSubqueriesInQuantifieds

    public boolean supportsSubqueriesInQuantifieds()

See Also:
  `DatabaseMetaData.supportsSubqueriesInQuantifieds()`

#### supportsTableCorrelationNames

    public boolean supportsTableCorrelationNames()

See Also:
  `DatabaseMetaData.supportsTableCorrelationNames()`

#### supportsTransactionIsolationLevel

    public boolean supportsTransactionIsolationLevel(int level)

See Also:
  `DatabaseMetaData.supportsTransactionIsolationLevel(int)`

#### supportsTransactions

    public boolean supportsTransactions()

See Also:
  `DatabaseMetaData.supportsTransactions()`

#### supportsUnion

    public boolean supportsUnion()

See Also:
  `DatabaseMetaData.supportsUnion()`

#### supportsUnionAll

    public boolean supportsUnionAll()

See Also:
  `DatabaseMetaData.supportsUnionAll()`

#### updatesAreDetected

    public boolean updatesAreDetected(int type)

See Also:
  `DatabaseMetaData.updatesAreDetected(int)`

#### usesLocalFilePerTable

    public boolean usesLocalFilePerTable()

See Also:
  `DatabaseMetaData.usesLocalFilePerTable()`

#### usesLocalFiles

    public boolean usesLocalFiles()

See Also:
  `DatabaseMetaData.usesLocalFiles()`

#### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.isReadOnly()`

#### getAttributes

    public ResultSet getAttributes(String c,
                                   String s,
                                   String t,
                                   String a)
                            throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getAttributes(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

#### getBestRowIdentifier

    public ResultSet getBestRowIdentifier(String c,
                                          String s,
                                          String t,
                                          int scope,
                                          boolean n)
                                   throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getBestRowIdentifier(java.lang.String, java.lang.String, java.lang.String, int, boolean)`

#### getColumnPrivileges

    public ResultSet getColumnPrivileges(String c,
                                         String s,
                                         String t,
                                         String colPat)
                                  throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getColumnPrivileges(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

#### getColumns

    public ResultSet getColumns(String c,
                                String s,
                                String tblNamePattern,
                                String colNamePattern)
                         throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

#### getCrossReference

    public ResultSet getCrossReference(String pc,
                                       String ps,
                                       String pt,
                                       String fc,
                                       String fs,
                                       String ft)
                                throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getCrossReference(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

#### getSchemas

    public ResultSet getSchemas()
                         throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getSchemas()`

#### getCatalogs

    public ResultSet getCatalogs()
                          throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getCatalogs()`

#### getPrimaryKeys

    public ResultSet getPrimaryKeys(String c,
                                    String s,
                                    String table)
                             throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getPrimaryKeys(java.lang.String, java.lang.String, java.lang.String)`

#### getExportedKeys

    public ResultSet getExportedKeys(String catalog,
                                     String schema,
                                     String table)
                              throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getExportedKeys(java.lang.String, java.lang.String, java.lang.String)`

#### getImportedKeys

    public ResultSet getImportedKeys(String catalog,
                                     String schema,
                                     String table)
                              throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getImportedKeys(java.lang.String, java.lang.String, java.lang.String)`

#### getIndexInfo

    public ResultSet getIndexInfo(String c,
                                  String s,
                                  String table,
                                  boolean u,
                                  boolean approximate)
                           throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getIndexInfo(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

#### getProcedureColumns

    public ResultSet getProcedureColumns(String c,
                                         String s,
                                         String p,
                                         String colPat)
                                  throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getProcedureColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

#### getProcedures

    public ResultSet getProcedures(String c,
                                   String s,
                                   String p)
                            throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getProcedures(java.lang.String, java.lang.String, java.lang.String)`

#### getSuperTables

    public ResultSet getSuperTables(String c,
                                    String s,
                                    String t)
                             throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getSuperTables(java.lang.String, java.lang.String, java.lang.String)`

#### getSuperTypes

    public ResultSet getSuperTypes(String c,
                                   String s,
                                   String t)
                            throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getSuperTypes(java.lang.String, java.lang.String, java.lang.String)`

#### getTablePrivileges

    public ResultSet getTablePrivileges(String c,
                                        String s,
                                        String t)
                                 throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getTablePrivileges(java.lang.String, java.lang.String, java.lang.String)`

#### getTables

    public ResultSet getTables(String c,
                               String s,
                               String tblNamePattern,
                               String[] types)
                        throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getTables(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`

#### getTableTypes

    public ResultSet getTableTypes()
                            throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getTableTypes()`

#### getTypeInfo

    public ResultSet getTypeInfo()
                          throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getTypeInfo()`

#### getUDTs

    public ResultSet getUDTs(String c,
                             String s,
                             String t,
                             int[] types)
                      throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getUDTs(java.lang.String, java.lang.String, java.lang.String, int[])`

#### getVersionColumns

    public ResultSet getVersionColumns(String c,
                                       String s,
                                       String t)
                                throws SQLException

Throws:
  `SQLException`
See Also:
  `DatabaseMetaData.getVersionColumns(java.lang.String, java.lang.String, java.lang.String)`

#### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

Specified by:
  `getGeneratedKeys` in class `CoreDatabaseMetaData`
Returns:
  Generated row id of the last INSERT command.
Throws:
  `SQLException`

#### createStruct

    public Struct createStruct(String t,
                               Object[] attr)
                        throws SQLException

Not implemented yet.

Throws:
  `SQLException`

#### getFunctionColumns

    public ResultSet getFunctionColumns(String a,
                                        String b,
                                        String c,
                                        String d)
                                 throws SQLException

Not implemented yet.

Throws:
  `SQLException`

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `CoreDatabaseMetaData`
Throws:
  `Throwable`
See Also:
  `Object.finalize()`